org.apache.ignite.internal

## Class IgniteDeploymentCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.IgniteDeploymentCheckedException

All Implemented Interfaces:
  Serializable

    public class IgniteDeploymentCheckedException
    extends IgniteCheckedException

Deployment or re-deployment failed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDeploymentCheckedException(String msg)` Creates new exception with given error message.
`IgniteDeploymentCheckedException(String msg, Throwable cause)` Creates a new exception with given error message and optional nested cause exception.
`IgniteDeploymentCheckedException(Throwable cause)` Creates new exception with given throwable as a nested cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDeploymentCheckedException

    public IgniteDeploymentCheckedException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### IgniteDeploymentCheckedException

    public IgniteDeploymentCheckedException(Throwable cause)

Creates new exception with given throwable as a nested cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### IgniteDeploymentCheckedException

    public IgniteDeploymentCheckedException(String msg,
                                    @Nullable
                                    Throwable cause)

Creates a new exception with given error message and optional nested cause exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015